EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_WIDGET_SCROLLABLE_CONTENT_EVENT_OPTIMAL_SIZE_CALC =
   EFL_EVENT_DESCRIPTION("optimal_size,calc");

Eina_Bool _efl_ui_widget_scrollable_content_scrollable_content_did_group_calc_get(const Eo *obj, Efl_Ui_Widget_Scrollable_Content_Data *pd);


static Eina_Value
__eolian_efl_ui_widget_scrollable_content_scrollable_content_did_group_calc_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_widget_scrollable_content_did_group_calc_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_scrollable_content_did_group_calc_get, Eina_Bool, 0);

Eina_Bool _efl_ui_widget_scrollable_content_scrollable_content_set(Eo *obj, Efl_Ui_Widget_Scrollable_Content_Data *pd, Efl_Canvas_Object *content);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_widget_scrollable_content_set, Eina_Bool, 0, EFL_FUNC_CALL(content), Efl_Canvas_Object *content);

Efl_Canvas_Object *_efl_ui_widget_scrollable_content_scrollable_content_get(const Eo *obj, Efl_Ui_Widget_Scrollable_Content_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_scrollable_content_get, Efl_Canvas_Object *, NULL);

void _efl_ui_widget_scrollable_content_scrollable_text_set(Eo *obj, Efl_Ui_Widget_Scrollable_Content_Data *pd, const char *text);


static Eina_Error
__eolian_efl_ui_widget_scrollable_content_scrollable_text_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_widget_scrollable_text_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_widget_scrollable_text_set, EFL_FUNC_CALL(text), const char *text);

const char *_efl_ui_widget_scrollable_content_scrollable_text_get(const Eo *obj, Efl_Ui_Widget_Scrollable_Content_Data *pd);


static Eina_Value
__eolian_efl_ui_widget_scrollable_content_scrollable_text_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_widget_scrollable_text_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_widget_scrollable_text_get, const char *, NULL);

void _efl_ui_widget_scrollable_content_efl_object_destructor(Eo *obj, Efl_Ui_Widget_Scrollable_Content_Data *pd);


static Eina_Bool
_efl_ui_widget_scrollable_content_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_WIDGET_SCROLLABLE_CONTENT_EXTRA_OPS
#define EFL_UI_WIDGET_SCROLLABLE_CONTENT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_widget_scrollable_content_did_group_calc_get, _efl_ui_widget_scrollable_content_scrollable_content_did_group_calc_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_scrollable_content_set, _efl_ui_widget_scrollable_content_scrollable_content_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_scrollable_content_get, _efl_ui_widget_scrollable_content_scrollable_content_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_scrollable_text_set, _efl_ui_widget_scrollable_content_scrollable_text_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_scrollable_text_get, _efl_ui_widget_scrollable_content_scrollable_text_get),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_widget_scrollable_content_efl_object_destructor),
      EFL_UI_WIDGET_SCROLLABLE_CONTENT_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"scrollable_content_did_group_calc", NULL, __eolian_efl_ui_widget_scrollable_content_scrollable_content_did_group_calc_get_reflect},
      {"scrollable_text", __eolian_efl_ui_widget_scrollable_content_scrollable_text_set_reflect, __eolian_efl_ui_widget_scrollable_content_scrollable_text_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_widget_scrollable_content_class_desc = {
   EO_VERSION,
   "Efl.Ui.Widget_Scrollable_Content",
   EFL_CLASS_TYPE_MIXIN,
   sizeof(Efl_Ui_Widget_Scrollable_Content_Data),
   _efl_ui_widget_scrollable_content_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_widget_scrollable_content_mixin_get, &_efl_ui_widget_scrollable_content_class_desc, NULL, NULL);
